Question to HowTo PHP7 Tutorial

Discussion in 'HOWTO-Related Questions' started by sunghost, Jan 1, 2017.

  1. sunghost

    sunghost Member

    Hi,
    as my question is not instantly posted to the Tutorial: https://www.howtoforge.com/tutorial/how-to-install-php-7-on-debian/, i ask here. I follow the tutorial and all looks good. Till commented to an question about how to proceed with updates to that. Till said that the installation can go into opt/php/7.1.0 and a simple symplink could work . i tried it and updated also all other paths in the howto for the path to /opt/php/7.1 and also set a symlink from 7.1.0 to 7.1 and it worked, but i got this message from ispconfig: WARNING - Action aborted, file is a symlink: /opt/php/7.1/lib/php.ini . My Question is - how to proceed with that and what does it mean, since the webside shows working with php 7.1 ?!
    thx and a happy new year :)
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Make a report in the bugtracker so that we remove the symlink check for php.ini files of additional PHP versions.
     
  3. sunghost

    sunghost Member

    Hi Till,
    ok thanks and what does this mean actual? Is it just a check with a notification, or will this lead to an unwanted action, at the moment?
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    The message means that the custom php.ini settings function is not working.
     
  5. sunghost

    sunghost Member

    Hi,
    yes of course. I didnt see it at the first moment, because i have most of them setup in panel for the website itself. Ok, What do you think, when will it fixed? Maybe its an security reason, or what do you think? I am not as deep in this as you, i think ;). Also some hint in the tutorial, that the php.ini for the additional PHP 7.1 Version should configure by yourself, is not bad...thanks
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, ISPConfig does not allow symlinks in paths for security reasons and that's why you get the error mssage.

    When you make a report in the bugtracker then we will look into this for the next release.

    The PHP 7.1 as installed in the tutorial is not affected by the problem. The problem occurs just because you tried my idea from the comments to do PHP version management with symlinks.
     
  7. sunghost

    sunghost Member

    Hi Till,
    youre right. I opened Case #4408. The Mainproblem is like V-II asked at: 2016-12-22 20:40:04 in the Comment. How to Update additional PHP-Version? I am not familiar with that - so if e.g. PHP 7.1.10 is released, i would follow the steps again and have to add the 7.1.10 version in the Panel, after that i have to switch each webside to the newer Version? Right? So to Pro of your suggestion with the symlink would be, that i simple change the symlink an all Websites stay on latest PHP Version e.g. 7.1.10 - right?

    edit: What is the reason behind this security mechanis, when php.ini is blocked, but all other files not?
     
    Last edited: Jan 3, 2017
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    yes.

    No other files that get read or written are behind a symlink.
     
  9. sunghost

    sunghost Member

    In detail i dont know which files ISPConfig reads or write in this directory, but technical the full directory /opt/php/7.1.0/* is a symlink to /opt/php/7.1 ...
     
  10. sunghost

    sunghost Member

    Hi,
    since a few days PHP 7.1.2 was released i came back to this thread and frustrated that the bugreport is worthless. No Dev has assign to them not replyed or changed in latest ISPConfig Version. It seems to be a little thing of coding, but with a big benefit, but no one cares :(
     
  11. ahrasis

    ahrasis Active Member

    I'd prefer to use ondrej ppa for multiple php version (5.6, 7.0 & 7.1). I have posted a reply in here about it.
     
    Last edited: Mar 12, 2017

Share This Page